<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
if (!USER_LOGGED) { exit('wu-error'); }

if(isset($_POST['id'])){
$id_ps = intval($_POST['id']);

$paysys = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,ti,ident,active_out,out_type,out_min FROM `".DB_PREFIX."_pay_systems` WHERE id='$id_ps' LIMIT 1"));
if (empty($paysys['id'])) { wu_log_act(2, 'Пытался провести вывод средств с помощью несуществующей платёжной системы #'.wu_filter($_POST['id'])); exit('wu-error'); }

if ($paysys['active_out'] != 1) { wu_log_act(2, "Пытался провести вывод средств с помощью закрытой для вывода платёжной системы $paysys[ti]"); exit('wu-error'); }

//Проверка номера платёжной системы
$now_user = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,purse FROM `".DB_PREFIX."_users` WHERE uid='$u_id' LIMIT 1"));
$purses = explode('||', $now_user['purse']);
$purses_my = array();
foreach ($purses as $key => $val)
{
$now_purse = explode('::', $val);
if(!empty($now_purse[0])) { $purses_my[$now_purse[0]] = $now_purse[1]; }
}

if (!isset($purses_my[$paysys['ident']])) { wu_log_act(1, "Пытался провести вывод средств с помощью не указанного номера платёжной системы $paysys[ti]"); exit('wu-error-n'); }
if (empty($purses_my[$paysys['ident']])) { wu_log_act(1, "Пытался провести вывод средств с помощью не указанного номера платёжной системы $paysys[ti]"); exit('wu-error-n'); }

$out_min = $paysys['out_min'];
if ($paysys['out_type'] == 0) { $infotext = "Вывод средств на $paysys[ti] происходит в ручном режиме. Минимум к выводу $out_min руб."; }
if ($paysys['out_type'] == 1) { $infotext = "Вывод средств на $paysys[ti] происходит в автоматическом режиме. Минимум к выводу $out_min руб."; }
?>
<div class="alert alert-info"><center><?php echo $infotext; ?></center></div><br />
<center>
<input type="text" class="form-control" style="width: 50%;" placeholder="Введите сумму" name="sum" id="out_sum" required="" />
</center>

<script type="text/javascript">
//Валидация суммы
wu_sum_validate($("#out_sum"),2);

//Вывод средств
$('#btn_send').click(function(){
if ($('#out_sum').val() > 0) {
var sum = $('#out_sum').val();
var data = {'id': '<?php echo $id_ps; ?>', 'sum': sum};
wu_response('/wu-engine/wu-pay-systems/wu_out_do.php', data, 'btn_send', '1', function(wu_result) {
if (wu_result == '1') {
<?php if ($paysys['out_type'] == 0) { echo "$(location).attr('href','/account/cashout');"; } if ($paysys['out_type'] == 1) { echo "var msum = parseFloat(sum); var nsum = parseFloat($('#user_bal').text()); var newsum = nsum-msum; var newsume = newsum.toFixed(2); $('#user_bal').text(newsume); notif_s('Успешно'); $('#modal_out').modal('hide');"; } ?>
}
if (wu_result == '0') {
notif_e('Недостаточно средств');
}
if (wu_result == '2') {
notif_e('Минимальная сумма к выводу <?php echo $out_min; ?> руб.');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
} else { notif_e('Введите сумму'); }
});
</script>
<?php
} else { wu_log_act(2, 'Пытался провести вывод средств с не выбрнной платёжной системой'); exit('wu-error'); }
?>